Data Hub
Runs

List runs across instruments

Requires scope `runs:read`.

GET
/instrument-runs

Requires scope runs:read.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Query Parameters

instrument_id?string
source?string

Value in

  • "lambda"
  • "watcher"
search?string
sort?string
order?string

Value in

  • "asc"
  • "desc"
date_from?string
Formatdate-time
date_to?string
Formatdate-time
page?integer
Range1 <= value
per_page?integer
Range1 <= value <= 100
include_deleted?boolean|null
ran_by?string
status?|array<>
metadata_key?string

Metadata key filter.

metadata_value?string

Metadata value filter.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/instrument-runs"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "instrument_id": "string",      "instrument_display_name": "string",      "run_id": "string",      "source": "lambda",      "metadata": {        "property1": null,        "property2": null      },      "created_at": "2019-08-24T14:15:22Z",      "acquired_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "deleted_at": "2019-08-24T14:15:22Z",      "file_count": 0,      "files_completed": 0,      "files_failed": 0,      "files_pending_upload": 0,      "files_uploaded": 0,      "files_processing": 0,      "total_size_bytes": 0,      "error_messages": [        "string"      ],      "attributions": [        {          "userId": "string",          "displayName": "string",          "initials": "string",          "avatarUrl": "string"        }      ]    }  ],  "pagination": {    "page": 0,    "per_page": 0,    "total": 0,    "total_pages": 0  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}